<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html">HTTP2MessageRouter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::HTTP2MessageRouter Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html">alexaClientSDK::acl::HTTP2MessageRouter</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a2849c2688cfcc9c569f330cb3c2a38e4">ConnectionStatus</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#abdcc5d1e01115f12ba190af2c3a8912a">consumeMessage</a>(const std::string &amp;contextId, const std::string &amp;message) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#ad443c279faee6cfd182f661551d4f627">disable</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a6e612d03dfabab3bfeae7e681e8479f2">doShutdown</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#aa2280047337228ac9e7d7a51251e31a7">enable</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a6431667e8e10477f14ac4af0b6e36ab4">getConnectionStatus</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html#adc03ea4414f95c6c51e583cd9fb13c38">HTTP2MessageRouter</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::AuthDelegateInterface &gt; authDelegate, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentManager &gt; attachmentManager, const std::string &amp;avsEndpoint=&quot;&quot;)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html">alexaClientSDK::acl::HTTP2MessageRouter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#ad611ae0914a41ad7a8be12f05181c627">m_executor</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a8eb0a4d29c54adb83f8bd01e097c7736">MessageRouter</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::AuthDelegateInterface &gt; authDelegate, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentManager &gt; attachmentManager, const std::string &amp;avsEndpoint)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a2933fb5847d1dc2d1bc44b11434b0aff">MessageRouterInterface</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a31011c68e1282c0aa3eeb97ae712acd4">onConnected</a>(std::shared_ptr&lt; TransportInterface &gt; transport) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a2e0f411e09b34479469f40f555346d74">onDisconnected</a>(std::shared_ptr&lt; TransportInterface &gt; transport, avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason reason) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a5c298480fec845705bf72f8b85503387">onServerSideDisconnect</a>(std::shared_ptr&lt; TransportInterface &gt; transport) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a33983c1b465a6262a0ee2628d9d94c0a">sendMessage</a>(std::shared_ptr&lt; avsCommon::avs::MessageRequest &gt; request) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html#a0b54b4c7edf3df0c79f1897d6273c62d">alexaClientSDK::acl::MessageRouterInterface::sendMessage</a>(std::shared_ptr&lt; avs::MessageRequest &gt; request)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageSenderInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a3aa52d8986af754d799efa2ad2f25a77">setAVSEndpoint</a>(const std::string &amp;avsEndpoint) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html#a0eca5fecd4e4f5c55b3a457a3f91ecf1">setObserver</a>(std::shared_ptr&lt; MessageRouterObserverInterface &gt; observer) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">alexaClientSDK::acl::MessageRouter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html#af3d178a546a9e5f0827f41cd168395be">~HTTP2MessageRouter</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_message_router.html">alexaClientSDK::acl::HTTP2MessageRouter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html#a27bdc40fb42a1f6beb18f09f2c17f6dc">~MessageConsumerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">alexaClientSDK::acl::MessageConsumerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html#ac6c6b420f2174c76149f3c8d4294714e">~MessageSenderInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageSenderInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html#aa2c5b8d95f069a175c933276278f52df">~TransportObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html">alexaClientSDK::acl::TransportObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
